=== debian/changelog ===
artikulate (4:19.12.3-0ubuntu2) focal; urgency=medium

  * Drop obsolete libqt5gstreamer-dev build dep. Allows building on
    riscv64.

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Apr 2020 12:36:20 +0100

artikulate (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:03:38 +0000
