## artikulate 20.08.1

=== debian/changelog ===
artikulate (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:54 +0100

artikulate (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:42:10 +0100

artikulate (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:32:54 +0100

artikulate (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Update build dependencies according to upstream build system:
    - kf5 >= 5.64.0
  * Review copyright information with the help of SPDX license headers now
    provided by upstream.
  * Mark test build dependencies with the <!nocheck> profile.
  * Bump dh compatibility level to 13.
  * Add Bug-* URLs to upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Jun 2020 00:59:38 +0200
