## artikulate 20.08.2

=== debian/changelog ===
artikulate (4:20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Oct 2020 12:06:11 +0100
