=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                qtdeclarative5-dev (>= 5.11.0~),
                qtmultimedia5-dev (>= 5.11.0~),
                xauth <!nocheck>,
-               xvfb <!nocheck>,
+               xvfb <!nocheck>
 Standards-Version: 4.5.0
 Homepage: https://kde.org/applications/education/org.kde.artikulate
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
