## artikulate 20.12.1

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

ecm_install_icons(
  ICONS
    16-apps-artikulate.png
    32-apps-artikulate.png
    48-apps-artikulate.png
    64-apps-artikulate.png
    sc-apps-artikulate.svg

  DESTINATION ${ICON_INSTALL_DIR}
  THEME hicolor
)
