=== debian/changelog ===
artikulate (4:20.12.1-2) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Unregister the old /etc/xdg/artikulate.knsrc conffile. (Closes: #980027)
  * Explicitly add the gettext build dependency.
  * Update lintian overrides.
  * Remove the manual HOME/TMPDIR/XDG_RUNTIME_DIR handling in dh_auto_test,
    as debhelper does it automatically in compat 13+.
  * Remove the manual check for nocheck in DEB_BUILD_OPTIONS, as debhelper does
    it already in compat 13+.

 -- Pino Toscano <pino@debian.org>  Wed, 13 Jan 2021 09:26:10 +0100

artikulate (4:20.12.1-1) unstable; urgency=medium

  * Refresh copyright information.
  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 23:45:48 +0100

artikulate (4:20.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Refresh upstream metadata.
  * New upstream release (20.12.0).
  * Add missing QML runtime dependencies.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Drop patch to install private libs in a libs subfolder, should be done
    upstream if anywhere.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 00:08:16 +0100
