=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: education
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.64.0~),
+               gettext,
                kirigami2-dev (>= 5.64.0~),
                libkf5archive-dev (>= 5.64.0~),
                libkf5config-dev (>= 5.64.0~),
@@ -25,8 +26,8 @@
                qtmultimedia5-dev (>= 5.11.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.5.0
-Homepage: https://kde.org/applications/education/org.kde.artikulate
+Standards-Version: 4.5.1
+Homepage: https://edu.kde.org/artikulate
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
 Rules-Requires-Root: no
@@ -40,7 +41,11 @@
          qml-module-org-kde-newstuff,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-dialogs,
+         qml-module-qtquick-layouts,
          qml-module-qtquick-shapes,
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Language learning application
