=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                qtdeclarative5-dev (>= 5.11.0~),
                qtmultimedia5-dev (>= 5.11.0~),
                xauth <!nocheck>,
-               xvfb <!nocheck>
+               xvfb <!nocheck>,
 Standards-Version: 4.5.1
 Homepage: https://edu.kde.org/artikulate
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
