=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2013-2019 Andreas Cord-Landwehr <cordlandwehr@kde.org>
 # SPDX-License-Identifier: BSD-2-Clause
 
-ecm_setup_version(1.0.0
+ecm_setup_version(${ARTIKULATE_VERSION}
     VARIABLE_PREFIX ARTIKULATE
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/version.h"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/ArtikulateConfigVersion.cmake"
@@ -93,7 +93,7 @@
 install(
     TARGETS artikulatecore
     LIBRARY NAMELINK_SKIP
-    DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS}
+    DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
 )
 install(FILES artikulate.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
 
@@ -142,6 +142,6 @@
         KF5::NewStuff
 )
 
-install(FILES artikulate.kcfg DESTINATION ${KCFG_INSTALL_DIR})
-install(TARGETS artikulate ${INSTALL_TARGETS_DEFAULT_ARGS})
-install(TARGETS artikulate_editor ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(FILES artikulate.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
+install(TARGETS artikulate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS artikulate_editor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
