=== debian/control ===
--- 
+++ 
@@ -4,27 +4,27 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5.0~),
+Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               kirigami2-dev (>= 5.82.0~),
-               libkf5archive-dev (>= 5.82.0~),
-               libkf5config-dev (>= 5.82.0~),
+               kirigami2-dev (>= 5.90.0~),
+               libkf5archive-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.90.0~),
                libkf5configwidgets-dev (>= 5.64.0~),
-               libkf5crash-dev (>= 5.82.0~),
+               libkf5crash-dev (>= 5.90.0~),
                libkf5declarative-dev (>= 5.64.0~),
                libkf5doctools-dev (>= 5.64.0~),
-               libkf5i18n-dev (>= 5.82.0~),
-               libkf5newstuff-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.64.0~),
                libqt5gstreamer-dev (>= 1.2.0),
                libqt5sql5-sqlite (>= 5.11.0~) <!nocheck>,
-               libqt5xmlpatterns5-dev (>= 5.15.0~),
+               libqt5xmlpatterns5-dev (>= 5.15.2~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.0~),
-               qtdeclarative5-dev (>= 5.15.0~),
-               qtmultimedia5-dev (>= 5.11.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
+               qtmultimedia5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.6.1
