=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                qtmultimedia5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://edu.kde.org/artikulate
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/artikulate
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/artikulate.git
